package kz.arta.synergy.workflow.mobile.android.common.models.settings;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

/**
 * Информация о диалоге
 * Created by neox on 28.05.15.
 */
public class DialogInfoItem implements Serializable {

    /**
     * Является ли диалог диалогом по умолчанию
     */
    public
    @SerializedName("default")
    String def;
    /**
     * Имя диалога
     */
    private String name;
    /**
     * Идентификатор диалога
     */
    private String uuid;
    /**
     * Является ли диалог "Кастомным"
     */
    private String special;

    /**
     * Тип диалога (работа/документ)
     */
    private String type;

    /**
     * Шаги, содержащиеся в текущем диалоги
     */
    private List<List<Components>> steps;

    public List<List<Components>> getSteps() {
        return steps;
    }

    public void setSteps(List<List<Components>> steps) {
        this.steps = steps;
    }

    public String getName() {
        return name;
    }

    public String getUuid() {
        return uuid;
    }

    public String getDef() {
        return def;
    }

    public String getSpecial() {
        return special;
    }

    public String getType() {
        return type;
    }

    public static class Components implements Serializable {

        /**
         * Тип компонента
         */
        private String type;

        /**
         * Является ли компонент скрытым
         */
        private boolean show;

        public boolean isShow() {
            return show;
        }

        public String getType() {
            return type;
        }
    }

}
